List conversations
curl --request GET \
--url https://cloud.watahub.dev/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"phoneNumberId": "<string>",
"waId": "<string>",
"contactName": "<string>",
"assigneeEmail": "[email protected]",
"updatedAt": 123,
"lastMessage": {
"body": "<string>",
"type": "<string>",
"direction": "<string>",
"createdAt": 123
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
List conversations
List conversations
GET
/
v1
/
conversations
List conversations
curl --request GET \
--url https://cloud.watahub.dev/v1/conversations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"phoneNumberId": "<string>",
"waId": "<string>",
"contactName": "<string>",
"assigneeEmail": "[email protected]",
"updatedAt": 123,
"lastMessage": {
"body": "<string>",
"type": "<string>",
"direction": "<string>",
"createdAt": 123
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Was this page helpful?